export const translations = {
  en: {
    apply: 'Apply',
    clear: 'Clear',
    startDate: 'Start Date',
    endDate: 'End Date',
    presets: 'Presets',
    today: 'Today',
    yesterday: 'Yesterday',
    custom: 'Custom',
    lastDays: (days: number) => `Last ${days} Days`,
    nextDays: (days: number) => `Next ${days} Days`,
    months: {
      january: 'January',
      february: 'February',
      march: 'March',
      april: 'April',
      may: 'May',
      june: 'June',
      july: 'July',
      august: 'August',
      september: 'September',
      october: 'October',
      november: 'November',
      december: 'December',
    },
    daysAbbreviated: {
      sunday: 'Su',
      monday: 'Mo',
      tuesday: 'Tu',
      wednesday: 'We',
      thursday: 'Th',
      friday: 'Fr',
      saturday: 'Sa',
    },
  },
  es: {
    apply: 'Aplicar',
    clear: 'Borrar',
    startDate: 'Fecha de inicio',
    endDate: 'Fecha de finalización',
    presets: 'Preajustes',
    today: 'Hoy',
    yesterday: 'Ayer',
    custom: 'Personalizar',
    lastDays: (days: number) => `En los últimos ${days} días`,
    nextDays: (days: number) => `Próximos ${days} días`,
    months: {
      january: 'enero',
      february: 'febrero',
      march: 'marzo',
      april: 'abril',
      may: 'mayo',
      june: 'junio',
      july: 'julio',
      august: 'agosto',
      september: 'septiembre',
      october: 'octubre',
      november: 'noviembre',
      december: 'diciembre',
    },
    daysAbbreviated: {
      sunday: 'DO',
      monday: 'LU',
      tuesday: 'MA',
      wednesday: 'MI',
      thursday: 'JU',
      friday: 'VI',
      saturday: 'SA',
    },
  },
  'de-DE': {
    apply: 'Anwenden',
    clear: 'Löschen',
    startDate: 'Anfangsdatum',
    endDate: 'Enddatum',
    presets: 'Voreinstellungen',
    today: 'Heute',
    yesterday: 'Gestern',
    custom: 'Benutzerdefiniert',
    lastDays: (days: number) => `Letzte ${days} Tage`,
    nextDays: (days: number) => `Nächste ${days} Tage`,
    months: {
      january: 'Januar',
      february: 'Februar',
      march: 'März',
      april: 'April',
      may: 'Mai',
      june: 'Juni',
      july: 'Juli',
      august: 'August',
      september: 'September',
      october: 'Oktober',
      november: 'November',
      december: 'Dezember',
    },
    daysAbbreviated: {
      sunday: 'So',
      monday: 'Mo',
      tuesday: 'Di',
      wednesday: 'Mi',
      thursday: 'Do',
      friday: 'Fr',
      saturday: 'Sa',
    },
  },
  'fr-FR': {
    apply: 'Appliquer',
    clear: 'Effacer',
    startDate: 'Date de départ',
    endDate: 'Date de fin',
    presets: 'Préréglage',
    today: "Aujourd'hui",
    yesterday: 'Hier',
    custom: 'Personnalisé',
    lastDays: (days: number) => `${days} derniers jours`,
    nextDays: (days: number) => `${days} prochains jours`,
    months: {
      january: 'Janvier',
      february: 'Février',
      march: 'Mars',
      april: 'Avril',
      may: 'Mai',
      june: 'Juin',
      july: 'Juillet',
      august: 'Août',
      september: 'Septembre',
      october: 'Octobre',
      november: 'Novembre',
      december: 'Décembre',
    },
    daysAbbreviated: {
      sunday: 'Dim',
      monday: 'Lun',
      tuesday: 'Mar',
      wednesday: 'Mer',
      thursday: 'Jeu',
      friday: 'Ven',
      saturday: 'Sam',
    },
  },
  'ja-JP': {
    apply: '適用する',
    clear: 'クリア',
    startDate: '開始日',
    endDate: '終了日',
    presets: '事前設定',
    today: '今日',
    yesterday: '昨日',
    custom: 'カスタム',
    lastDays: (days: number) => `過去 ${days} 日間`,
    nextDays: (days: number) => `次の ${days} 日間`,
    months: {
      january: '1月',
      february: '2月',
      march: '3月',
      april: '4月',
      may: '5月',
      june: '6月',
      july: '7月',
      august: '8月',
      september: '9月',
      october: '10月',
      november: '11月',
      december: '12月',
    },
    daysAbbreviated: {
      sunday: '日',
      monday: '月',
      tuesday: '火',
      wednesday: '水',
      thursday: '木',
      friday: '金',
      saturday: '土',
    },
  },
  'pt-BR': {
    apply: 'Aplicar',
    clear: 'Limpar',
    startDate: 'Data de início',
    endDate: 'Data de término',
    presets: 'Predefinições',
    today: 'Hoje',
    yesterday: 'Ontem',
    custom: 'Customizado',
    lastDays: (days: number) => `Últimos ${days} dias`,
    nextDays: (days: number) => `Próximos ${days} dias`,
    months: {
      january: 'Janeiro',
      february: 'Fevereiro',
      march: 'Março',
      april: 'Abril',
      may: 'Maio',
      june: 'Junho',
      july: 'Julho',
      august: 'Agosto',
      september: 'Setembro',
      october: 'Outubro',
      november: 'Novembro',
      december: 'Dezembro',
    },
    daysAbbreviated: {
      sunday: 'Dom',
      monday: 'Seg',
      tuesday: 'Ter',
      wednesday: 'Qua',
      thursday: 'Qui',
      friday: 'Sex',
      saturday: 'Sáb',
    },
  },
  'ko-KR': {
    apply: '적용',
    clear: '비우기',
    startDate: '시작 날짜',
    endDate: '종료 날짜',
    presets: '사전 설정',
    today: '오늘',
    yesterday: '어제',
    custom: '커스텀',
    lastDays: (days: number) => `최근 ${days}일`,
    nextDays: (days: number) => `다음 ${days}일`,
    months: {
      january: '1월',
      february: '2월',
      march: '3월',
      april: '4월',
      may: '5월',
      june: '6월',
      july: '7월',
      august: '8월',
      september: '9월',
      october: '10월',
      november: '11월',
      december: '12월',
    },
    daysAbbreviated: {
      sunday: '일',
      monday: '월',
      tuesday: '화',
      wednesday: '수',
      thursday: '목',
      friday: '금',
      saturday: '토',
    },
  },
};
