import React, { forwardRef, Ref, SVGAttributes } from 'react';

export const CcVisa = forwardRef(
  (props: SVGAttributes<SVGSVGElement>, ref: Ref<SVGSVGElement>) => (
    <svg
      id="cc-visa_svg__Layer_1"
      x={0}
      y={0}
      viewBox="0 0 20 20"
      xmlSpace="preserve"
      enableBackground="new 0 0 20 20"
      ref={ref}
      {...props}
    >
      <style>
        {
          '.cc-visa_svg__st2{fill:#fff}.cc-visa_svg__st6{fill:#013487}'
        }
      </style>
      <path
        id="cc-visa_svg__path-1_1_"
        d="M1.5 3h17c.8 0 1.5.7 1.5 1.5v11c0 .8-.7 1.5-1.5 1.5h-17C.7 17 0 16.3 0 15.5v-11C0 3.7.7 3 1.5 3z"
        fill="#f6f7f7"
      />
      <defs>
        <filter
          id="cc-visa_svg__Adobe_OpacityMaskFilter"
          filterUnits="userSpaceOnUse"
          x={0}
          y={3}
          width={20}
          height={2}
        >
          <feColorMatrix values="1 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 1 0" />
        </filter>
      </defs>
      <mask
        maskUnits="userSpaceOnUse"
        x={0}
        y={3}
        width={20}
        height={2}
        id="cc-visa_svg__mask-2_1_"
      >
        <g filter="url(#cc-visa_svg__Adobe_OpacityMaskFilter)">
          <path
            id="cc-visa_svg__path-1_2_"
            className="cc-visa_svg__st2"
            d="M1.5 3h17c.8 0 1.5.7 1.5 1.5v11c0 .8-.7 1.5-1.5 1.5h-17C.7 17 0 16.3 0 15.5v-11C0 3.7.7 3 1.5 3z"
          />
        </g>
      </mask>
      <path
        id="cc-visa_svg__Rectangle-5"
        mask="url(#cc-visa_svg__mask-2_1_)"
        fill="#10347f"
        d="M0 3h20v2H0z"
      />
      <defs>
        <filter
          id="cc-visa_svg__Adobe_OpacityMaskFilter_1_"
          filterUnits="userSpaceOnUse"
          x={0}
          y={15}
          width={20}
          height={2}
        >
          <feColorMatrix values="1 0 0 0 0 0 1 0 0 0 0 0 1 0 0 0 0 0 1 0" />
        </filter>
      </defs>
      <mask
        maskUnits="userSpaceOnUse"
        x={0}
        y={15}
        width={20}
        height={2}
        id="cc-visa_svg__mask-2_3_"
      >
        <g filter="url(#cc-visa_svg__Adobe_OpacityMaskFilter_1_)">
          <path
            id="cc-visa_svg__path-1_4_"
            className="cc-visa_svg__st2"
            d="M0 15.5v-11C0 3.7.7 3 1.5 3h17c.8 0 1.5.7 1.5 1.5v11c0 .8-.7 1.5-1.5 1.5h-17C.7 17 0 16.3 0 15.5z"
          />
        </g>
      </mask>
      <path
        id="cc-visa_svg__Rectangle-5_1_"
        mask="url(#cc-visa_svg__mask-2_3_)"
        fill="#fbb316"
        d="M0 15h20v2H0z"
      />
      <g id="cc-visa_svg__logo">
        <path
          id="cc-visa_svg__Fill-1"
          className="cc-visa_svg__st6"
          d="M7.3 12.9l.9-5.8h1.4l-.9 5.8H7.3"
        />
        <path
          id="cc-visa_svg__Fill-2"
          className="cc-visa_svg__st6"
          d="M13.9 7.3c-.3-.1-.7-.3-1.3-.3-1.4 0-2.4.8-2.4 1.9 0 .8.7 1.3 1.3 1.6.6.3.7.5.7.7 0 .4-.4.6-.9.6-.6 0-.9-.1-1.4-.3l-.2-.1-.2 1.3c.3.2 1 .3 1.6.3 1.5 0 2.5-.8 2.5-2 0-.7-.4-1.1-1.2-1.6-.4-.2-.7-.4-.7-.7 0-.2.3-.5.8-.5s.8.1 1.1.2l.1.1.2-1.2"
        />
        <path
          id="cc-visa_svg__Fill-3"
          className="cc-visa_svg__st6"
          d="M15.8 10.8c.1-.3.6-1.6.6-1.6s.1-.3.2-.5l.1.5s.3 1.4.3 1.7h-1.2v-.1zm1.8-3.7h-1.1c-.3 0-.6.1-.8.5l-2.1 5.2h1.5s.2-.7.3-.9h1.8c0 .2.2.9.2.9h1.3l-1.1-5.7z"
        />
        <path
          d="M6.1 7.1L4.7 11l-.2-.8L4 7.6c-.1-.3-.3-.4-.6-.5H1v.1c.6.1 1.1.4 1.5.6l1.3 5h1.5l2.3-5.7H6.1z"
          fill="#00358a"
        />
      </g>
    </svg>
  )
);
