export { arrowRight, arrowLeft, enter, esc, spacebar, tab } from './events/KeyCodes';
export { capitalize } from './general/capitalize';
export { centered, hidden, Focus, GlobalStyles } from './css';
export { clamp } from './general/clamp';
export { createPortalOutlet } from './DOM/createPortalOutlet';
export { generateUID } from './general/generateUID';
export { geometry } from './DOM/geometry';
export { getComputedStyles } from './DOM/getComputedStyles';
export { removeElementByID } from './DOM/removeElementByID';
export { SSR } from './DOM/SSR';
export { stopPrevent } from './events/stopPrevent';
export { throttle } from './general/throttle';
export { mergeRefs } from './general/mergeReactRefs';

// hooks
export { useClose } from './events/onClose';
export { useDeprecate } from './hooks/useDeprecate';
export { useFlip } from './hooks/useFlip';
export { useForwardRef } from './hooks/useForwardRef';
export { useIrisError } from './hooks/useIrisError';
export { useIsomorphicEffect } from './hooks/useIsomorphicEffect';
export { useLayoutStyles } from './hooks/useLayoutStyles';
export { useLocalTheme } from './hooks/useLocalTheme';
export { useMeasure } from './hooks/useMeasure';
export { useOutsideClick } from './hooks/useOutsideClick';
export { usePortal } from './hooks/usePortal';
export { usePortal_DEPRECATED, validate, ANCHOR_POINTS } from './hooks/usePortal_DEPRECATED';
export { useStateTransmorphic } from './hooks/useStateTransmorphic';
export { useStyleVars } from './hooks/useStyleVars';
export { withIris } from './HOCs/withIris';

export type { Attach, AttachAlias, SimpleAnimation } from './hooks/usePortal_DEPRECATED';
export type { onClose } from './events/onClose';
export type { IrisProps, IrisInputProps, Messages, MinorComponent } from './HOCs/IrisProps';
export type { CSSProps, ExtractProps, Override, IrisElement } from './HOCs/types';
